{% extends '@DemosPlanCore/DemosPlanCore/procedure.html.twig' %}
{% set count = 0 %}
    {% set td_width_2 = 80 %}
    {% set td_width_3 = 20 %}

{% block demosplanbundlecontent %}

    {% include '@DemosPlanCore/DemosPlanCore/includes/base_pageheader.html.twig' with {
        heading: (hasPermission('area_admin_map') ? 'plandocument.and.drawing' : 'plandocuments')|trans
    } %}

    {% if hasPermission('area_admin_map') and (templateVars.procedure.master == true or templateVars.procedure.procedureBehaviorDefinition.isAllowedToEnableMap) %}
        <dp-map-settings-preview
            drawing="{{ procedureSettings.planDrawPDF}}"
            drawing-explanation="{{ procedureSettings.planPDF}}"
            init-extent="{{ procedureSettings.mapExtent }}"
            :is-blueprint="Boolean({{ templateVars.procedure.master }})"
            map-attribution="{{ procedureSettings.copyright }}"
            procedure-coordinate="{{ procedureSettings.coordinate }}"
            :procedure-default-initial-extent="JSON.parse('{{ templateVars.procedureDefaultInitialExtent|json_encode|e('js', 'utf-8') }}')"
            procedure-id="{{ procedure }}"
            territory="{{ procedureSettings.territory }}"
        >
        </dp-map-settings-preview>
    {% endif %}

    {% set addonProps = { 'procedureId': procedure } %}
    <addon-wrapper
        hook-name="procedure.adminlist.fields"
        :addon-props="JSON.parse('{{ addonProps|json_encode|e('js', 'utf-8') }}')">
    </addon-wrapper>

    <div class="u-mt-0_75">
        {# Display errors from failed element import #}
        {% if templateVars.errorReport|default([])|length > 0 %}
            <ul class="flash flash-error list-style-none u-m-0 u-mb">
                {% for error in templateVars.errorReport %}
                    <li>
                        {{ error }}
                    </li>
                {% endfor %}
            </ul>
        {% endif %}

        <div class="flow-root">
            {% if hasPermission('feature_admin_element_edit') %}
                <a
                    class="btn btn--primary float-right"
                    href="{{ path('DemosPlan_elements_administration_new',{'procedure':procedure }) }}"
                    data-cy="createElementCategory">
                    {{ "category.create"|trans }}
                </a>
            {% endif %}
        </div>

        <elements-admin-list>
        </elements-admin-list>
    </div>


    {% if hasPermission('feature_admin_element_import') %}
        <h2 class="u-mt">
            {{ "elementimport"|trans }}
        </h2>
        <p>
            {{ "text.elementimport.fileupload"|trans }}
        </p>
        <form action="{{ path('DemosPlan_element_import', {'procedure':procedure }) }}" method="post" enctype="multipart/form-data">

            {{
                fileupload(
                    "r_zipImport",
                    "hide",
                    "zip",
                    "form.button.upload.zip",
                    1,
                    false,
                    '',
                    false,
                    '',
                    20000000
                )
            }}

            <input
                class="btn btn--primary u-mt-0_75 float-right"
                data-cy="submitImport"
                type="submit"
                value="{{ "import.verb"|trans }}">

        </form>
    {% endif %}

{% endblock %}

{% block javascripts %}
    {{ parent() }}
    {{ webpackBundles(['ol.js','document-elementsAdminList.js']) }}
{% endblock javascripts %}
